// SetupDlg.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "Vsim.h"
#include "SetupDlg.h"

#include "VsimDoc.h"
#include "VsimView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSetupDlg _CAO


CSetupDlg::CSetupDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetupDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetupDlg)
	m_enable1 = FALSE;
	m_enable2 = FALSE;
	m_enable3 = FALSE;
	m_enable4 = FALSE;
	m_enable5 = FALSE;
	m_freq1 = 0.0;
	m_freq2 = 0.0;
	m_freq3 = 0.0;
	m_freq4 = 0.0;
	m_freq5 = 0.0;
	m_gain1 = 0.0;
	m_gain2 = 0.0;
	m_gain3 = 0.0;
	m_gain4 = 0.0;
	m_gain5 = 0.0;
	m_w_freq = 0.0;
	m_w_duty = 0.0;
	m_w_fall = 0.0;
	m_w_rise = 0.0;
	//}}AFX_DATA_INIT
}


void CSetupDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetupDlg)
	DDX_Check(pDX, IDC_ENABLE1, m_enable1);
	DDX_Check(pDX, IDC_ENABLE2, m_enable2);
	DDX_Check(pDX, IDC_ENABLE3, m_enable3);
	DDX_Check(pDX, IDC_ENABLE4, m_enable4);
	DDX_Check(pDX, IDC_ENABLE5, m_enable5);
	DDX_Text(pDX, IDC_FREQ1, m_freq1);
	DDV_MinMaxDouble(pDX, m_freq1, 0., 10000.);
	DDX_Text(pDX, IDC_FREQ2, m_freq2);
	DDV_MinMaxDouble(pDX, m_freq2, 0., 10000.);
	DDX_Text(pDX, IDC_FREQ3, m_freq3);
	DDV_MinMaxDouble(pDX, m_freq3, 0., 10000.);
	DDX_Text(pDX, IDC_FREQ4, m_freq4);
	DDV_MinMaxDouble(pDX, m_freq4, 0., 10000.);
	DDX_Text(pDX, IDC_FREQ5, m_freq5);
	DDV_MinMaxDouble(pDX, m_freq5, 0., 10000.);
	DDX_Text(pDX, IDC_GAIN1, m_gain1);
	DDV_MinMaxDouble(pDX, m_gain1, -50., 50.);
	DDX_Text(pDX, IDC_GAIN2, m_gain2);
	DDV_MinMaxDouble(pDX, m_gain2, -50., 50.);
	DDX_Text(pDX, IDC_GAIN3, m_gain3);
	DDV_MinMaxDouble(pDX, m_gain3, -50., 50.);
	DDX_Text(pDX, IDC_GAIN4, m_gain4);
	DDV_MinMaxDouble(pDX, m_gain4, -50., 50.);
	DDX_Text(pDX, IDC_GAIN5, m_gain5);
	DDV_MinMaxDouble(pDX, m_gain5, -50., 50.);
	DDX_Text(pDX, IDC_WAVE_FREQ, m_w_freq);
	DDV_MinMaxDouble(pDX, m_w_freq, 0., 10000.);
	DDX_Text(pDX, IDC_WAVE_DUTY, m_w_duty);
	DDV_MinMaxDouble(pDX, m_w_duty, 0., 100.);
	DDX_Text(pDX, IDC_WAVE_FALL, m_w_fall);
	DDV_MinMaxDouble(pDX, m_w_fall, 0., 100.);
	DDX_Text(pDX, IDC_WAVE_RISE, m_w_rise);
	DDV_MinMaxDouble(pDX, m_w_rise, 0., 100.);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSetupDlg, CDialog)
	//{{AFX_MSG_MAP(CSetupDlg)
	ON_BN_CLICKED(IDC_ENABLE1, OnEnable1)
	ON_BN_CLICKED(IDC_ENABLE2, OnEnable2)
	ON_BN_CLICKED(IDC_ENABLE3, OnEnable3)
	ON_BN_CLICKED(IDC_ENABLE4, OnEnable4)
	ON_BN_CLICKED(IDC_ENABLE5, OnEnable5)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSetupDlg bZ[W nh

BOOL CSetupDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: ̈ʒuɏ̕⑫ǉĂ
	if (m_enable1==FALSE)
	{
	    GetDlgItem(IDC_FREQ1)->EnableWindow(FALSE);
        GetDlgItem(IDC_GAIN1)->EnableWindow(FALSE);
	}
	if (m_enable2==FALSE)
	{
        GetDlgItem(IDC_FREQ2)->EnableWindow(FALSE);
        GetDlgItem(IDC_GAIN2)->EnableWindow(FALSE);
	}
	if (m_enable3==FALSE)
	{
        GetDlgItem(IDC_FREQ3)->EnableWindow(FALSE);
        GetDlgItem(IDC_GAIN3)->EnableWindow(FALSE);
	}
	if (m_enable4==FALSE)
	{
	    GetDlgItem(IDC_FREQ4)->EnableWindow(FALSE);
        GetDlgItem(IDC_GAIN4)->EnableWindow(FALSE);
	}
	if (m_enable5==FALSE)
	{
	    GetDlgItem(IDC_FREQ5)->EnableWindow(FALSE);
	    GetDlgItem(IDC_GAIN5)->EnableWindow(FALSE);
    }

	return TRUE;  // Rg[ɃtH[JXݒ肵ȂƂA߂l TRUE ƂȂ܂
	              // O: OCX vpeB y[W̖߂l FALSE ƂȂ܂
}

void CSetupDlg::OnEnable1() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	UpdateData(TRUE);
	
    UpdateData(FALSE);
	if (m_enable1==TRUE)
	{
	   GetDlgItem(IDC_FREQ1)->EnableWindow(TRUE);
	   GetDlgItem(IDC_GAIN1)->EnableWindow(TRUE);
	}
	else
	{
	   GetDlgItem(IDC_FREQ1)->EnableWindow(FALSE);
	   GetDlgItem(IDC_GAIN1)->EnableWindow(FALSE);
	}
	
}

void CSetupDlg::OnEnable2() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	UpdateData(TRUE);
	
    UpdateData(FALSE);
	if (m_enable2==TRUE)
	{
	   GetDlgItem(IDC_FREQ2)->EnableWindow(TRUE);
	   GetDlgItem(IDC_GAIN2)->EnableWindow(TRUE);
	}
	else
	{
	   GetDlgItem(IDC_FREQ2)->EnableWindow(FALSE);
	   GetDlgItem(IDC_GAIN2)->EnableWindow(FALSE);
	}	
}

void CSetupDlg::OnEnable3() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	UpdateData(TRUE);
	
    UpdateData(FALSE);
	if (m_enable3==TRUE)
	{
	   GetDlgItem(IDC_FREQ3)->EnableWindow(TRUE);
	   GetDlgItem(IDC_GAIN3)->EnableWindow(TRUE);
	}
	else
	{
	   GetDlgItem(IDC_FREQ3)->EnableWindow(FALSE);
	   GetDlgItem(IDC_GAIN3)->EnableWindow(FALSE);
	}
}

void CSetupDlg::OnEnable4() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	UpdateData(TRUE);
	
    UpdateData(FALSE);
	if (m_enable4==TRUE)
	{
	   GetDlgItem(IDC_FREQ4)->EnableWindow(TRUE);
	   GetDlgItem(IDC_GAIN4)->EnableWindow(TRUE);
	}
	else
	{
	   GetDlgItem(IDC_FREQ4)->EnableWindow(FALSE);
	   GetDlgItem(IDC_GAIN4)->EnableWindow(FALSE);
	}	
}

void CSetupDlg::OnEnable5() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	UpdateData(TRUE);
	
    UpdateData(FALSE);
	if (m_enable5==TRUE)
	{
	   GetDlgItem(IDC_FREQ5)->EnableWindow(TRUE);
	   GetDlgItem(IDC_GAIN5)->EnableWindow(TRUE);
	}
	else
	{
	   GetDlgItem(IDC_FREQ5)->EnableWindow(FALSE);
	   GetDlgItem(IDC_GAIN5)->EnableWindow(FALSE);
	}	
}
