#include "mmsystem.h"

#define ONE_BLOCK_DATA_NUM		4000
#define BLOCK_NUMS				2
#define FREQUENCY				44100
#define FREQ_FFT                40960

// VsimView.h : CVsimView NX̐錾уC^[tFCX̒`܂B
//
/////////////////////////////////////////////////////////////////////////////

class CVsimView : public CScrollView
{
protected: // VACY@\݂̂쐬܂B
	unsigned char draw_w;
	unsigned char draw_freq;
	unsigned char draw_fft;
	void draw_FFT(double x1, double y1, double x2, double y2);
	void Graph_FFT();
	void fast();
	double wave_in(double al);
	double  t1;
	double  t2;
	double  t3;
	double  t4;
	double  t5;
	double  t6;
	double  a1;
	double  a2;
	double  a3;
	double  a4;
	double  a5;
	double  x_10;
	double  x_11;
	double  x_12;
	double  x_13;
	double  x_14;
	double  x_15;
	double  x_21;
	double  x_22;
	double  x_23;
	double  x_24;
	double  x_25;
	double  gi[1];
	double  gr[1];
	double  a0;
	double  a;
	double  x0;
	double  x;
	unsigned  char cl;
	double  db_max;
	double  db_div;
	double  freq;
	double  end_freq;
	double  start_freq;
	unsigned char  start;
	double  al;
	double  al_w;
	void draw_line(double *x1, double *y1, double *x2, double *y2, unsigned char *cl, unsigned char *start);
    void draw_wave(double x1, double y1, double x2, double y2);
	int  wave_on;
	double  c0[2048];
	double  c1[2048];
	double  tt1;
	double  tt2;
	double  tt3;
	double  tt4;
	double  tt5;
	double  tt6;

	CVsimView();
	DECLARE_DYNCREATE(CVsimView)

// Agr[g
public:
	void graph(double *al);
	HWAVEOUT hWOut;
	WAVEFORMATEX wf;
	short bufOut[BLOCK_NUMS][ONE_BLOCK_DATA_NUM];
	WAVEHDR whOut[BLOCK_NUMS];
	void PreparePlayData(int nBlock);
	CVsimDoc* GetDocument();
	double gain5_db;
	double gain4_db;
	double gain3_db;
	double gain2_db;
	double gain1_db;
	double gain5;
	double gain4;
	double gain3;
	double gain2;
	double gain1;
	BOOL enable5;
	BOOL enable4;
	BOOL enable3;
	BOOL enable2;
	BOOL enable1;
	double freq6;
	double freq5;
	double freq4;
	double freq3;
	double freq2;
	double freq1;
	double w_freq;
	double w_duty;
	double w_rise;
	double w_fall;

// Iy[V
public:
	CArray < CPoint, CPoint > m_pointArray0;
	CArray < CPoint, CPoint > m_pointArray1;
	CArray < CPoint, CPoint > m_pointArray2;

// I[o[Ch
	// ClassWizard ͉z֐𐶐I[o[Ch܂B
	//{{AFX_VIRTUAL(CVsimView)
	public:
	virtual void OnDraw(CDC* pDC);  // ̃r[`悷ۂɃI[o[Ch܂B
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnInitialUpdate(); // \z̍ŏ̂PxĂяo܂B
	//}}AFX_VIRTUAL

// Cve[V
public:
	virtual ~CVsimView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// ꂽbZ[W }bv֐
protected:
	//{{AFX_MSG(CVsimView)
	afx_msg void OnSetup();
	afx_msg void OnRun();
	afx_msg void OnStop();
	afx_msg LRESULT OnPlayData(WPARAM wParam, LPARAM lParam);
	afx_msg void OnFreq();
	afx_msg void OnWave();
	afx_msg void OnFFT();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // VsimView.cpp t@CfobO̎gp܂B
inline CVsimDoc* CVsimView::GetDocument()
   { return (CVsimDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

